#define LEDPIN 13

\
#define T1LEDPIN 33
#define T1IRLED 32
#define T1SENSOR 35
#define T2LEDPIN 18 
#define T2IRLED 19
#define T2SENSOR 4

boolean ReadyToRace = true;
long T1high = 0;
long T1low = 0;
long T2high = 0;
long T2low = 0;
long T1diff = 0;
long T2diff = 0;


void setup() {
   pinMode(T1LEDPIN,OUTPUT);
   pinMode(T1IRLED,OUTPUT);
   pinMode(T1SENSOR,INPUT);
   pinMode(T2LEDPIN,OUTPUT);
   pinMode(T2IRLED,OUTPUT);
   pinMode(T2SENSOR,INPUT);
   pinMode(LEDPIN,OUTPUT);
   Serial.begin(9600);
   Serial.println("starting up");

   }

void loop() {
    if(ReadyToRace){
      for(int x = 0;x<100;x++){
        digitalWrite(T1IRLED,HIGH);
        digitalWrite(T2IRLED,HIGH);
        delay(1);
        T1high += analogRead(T1SENSOR);
        T2high += analogRead(T2SENSOR);
        //Serial.println(T2high);
        digitalWrite(T1IRLED,LOW);
        digitalWrite(T2IRLED,LOW);
        delay(1);
        T1low += analogRead(T1SENSOR);
        T2low += analogRead(T2SENSOR);
        //Serial.println(T2low);
      }
      Serial.print("T1: ");
      Serial.print(T1low-T1high);
      Serial.print(",T2: ");
      Serial.println(T2low-T2high);
      T1diff = T1low-T1high;
      T2diff = T2low-T2high;
      
      // if either has a spike time to stop
      if(T2diff > 100 || T1diff > 100){
        Serial.println("We have a winner!");
        ReadyToRace = false;
        if(T2diff > 100 && T1diff < 100){
          digitalWrite(T2LEDPIN,HIGH);
        } 
        if(T1diff > 100 && T2diff < 100){
          digitalWrite(T1LEDPIN,HIGH);
        }
        
      }
      T1high = 0;
      T1low = 0;
      T2high = 0;
      T2low = 0;
      delay(50);
    }
    else{
      digitalWrite(LEDPIN,HIGH);
      
    }
}


   
